Name:		psensor
Version:	1.2.1
Release:	%mkrel 6
Summary:	A Graphical Temperature Monitor
License:	GPLv2+
Group:		Monitoring
URL:		https://wpitchoune.net/psensor
Source0:	https://wpitchoune.net/psensor/files/%{name}-%{version}.tar.gz
Source1:	https://wpitchoune.net/psensor/files/%{name}-%{version}.tar.gz.asc
Patch1:		0001-fix-compilation-with-microhttpd-since-version-0.9.71.patch
Patch2:		0001-Port-to-Ayatana-Indicator.patch
Patch3:		psensor-1.2.1-git-indent.patch
BuildRequires:	cppcheck
BuildRequires:	help2man
BuildRequires:	lm_sensors-devel
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libmicrohttpd)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(udisks2)

Requires:	hddtemp
Requires:	lm_sensors

%description
Psensor is a graphical hardware temperature monitor for Linux.
It can monitor:
* the temperature of the motherboard and CPU sensors (using lm-sensors).
* the temperature of the NVidia GPUs (using XNVCtrl).
* the temperature of ATI/AMD GPUs (not enabled in Ubuntu PPAs or official
  distribution repositories, see the instructions for enabling its support).
* the temperature of the Hard Disk Drives (using hddtemp or libatasmart).
* the rotation speed of the fans (using lm-sensors).
* the CPU usage (using Gtop2).

%prep
%autosetup -p1

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
# parallel build fails
%__make -j1

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_docdir}/%{name}/
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/psensor.gschema.xml
%{_iconsdir}/*/*/*/%{name}*
%{_mandir}/man1/%{name}*.1.*
%exclude %{_docdir}/%{name}/INSTALL


%changelog
* Tue Mar 22 2022 danf <danf> 1.2.1-6.mga9
+ Revision: 1816782
- Fix erroneous indentation error from gcc 12

* Sat Jan 23 2021 daviddavid <daviddavid> 1.2.1-5.mga8
+ Revision: 1672980
- limit parallel build in another way

* Sun Nov 29 2020 luigiwalser <luigiwalser> 1.2.1-4.mga8
+ Revision: 1650347
- rebuild for json-c

* Mon Aug 03 2020 wally <wally> 1.2.1-3.mga8
+ Revision: 1610835
- add patch to port to Ayatana AppIndicator

* Sun Jul 26 2020 daviddavid <daviddavid> 1.2.1-2.mga8
+ Revision: 1609154
- add upstream patch to fix compilation with microhttpd since version 0.9.71

* Fri Jul 03 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1601520
- new version: 1.2.1

* Fri Feb 14 2020 umeabot <umeabot> 1.2.0-6.mga8
+ Revision: 1522007
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 11 2019 daviddavid <daviddavid> 1.2.0-5.mga7
+ Revision: 1354814
- rebuild for new lm_sensors 3.5.0

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1300389
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 1.2.0-3.mga7
+ Revision: 1245361
- rebuild for new json-c 0.13.1

* Mon Sep 04 2017 cjw <cjw> 1.2.0-2.mga7
+ Revision: 1151251
- rebuild for new libgtop

* Sun Jun 11 2017 daviddavid <daviddavid> 1.2.0-1.mga6
+ Revision: 1107532
- imported package psensor

